# Description
This script is meant to automatically setup github repositories in organisation with autolinking rules for JIRA projects.

# Requirements
### Dependencies
Script was written using python 3
It is depending on external python packages:
- `requests`
- `python-dotenv`
### 
Additionally it requires env variables to be present either in form of `.env` file or in the host environment.
Required variables:
- `JIRA_BASE_URL` - base url of JIRA instance from which projects will be fetched
- `JIRA_USERNAME` - email of jira user from which perspective jira project keys will be fetched
- `JIRA_API_TOKEN` - token generated for `JIRA_USERNAME`
- `GITHUB_ORG_NAME` - github organisation name for which repositories will be managed
- `GITHUB_TOKEN` - token with admin access to the repositories
